MultipleIterator::countIterators
MultipleIterator::detachIterator
MultipleIterator
PHP Manual

# MultipleIterator::current

(PHP 5 >= 5.3.0)

MultipleIterator::current — Gets the registered iterator instances

### Description

public array MultipleIterator::current ( void )

Get the registered iterator instances current() result.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

An array containing the current values of each attached iterator, or `FALSE` if no iterators are attached.

### Errors/Exceptions

A RuntimeException if mode `MIT_NEED_ALL` is set and at least one attached iterator is not valid. Or an IllegalValueException if a key is `NULL` and `MIT_KEYS_ASSOC` is set.

### See Also

- MultipleIterator::valid() - Checks the validity of sub iterators

MultipleIterator::countIterators
MultipleIterator::detachIterator
MultipleIterator
PHP Manual